=== debian/changelog ===
python-stomp (4.1.19-1) unstable; urgency=medium

  * Initial release (Closes: #879763)

 -- Sophie Brun <sophie@freexian.com>  Wed, 25 Oct 2017 16:32:57 +0200
