=== debian/control ===
Source: python-stomp
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Sophie Brun <sophie@freexian.com>
Build-Depends:
 debhelper (>= 10),
 dh-python,
 python-all,
 python-setuptools,
 python3-all,
 python3-setuptools,
 python3-sphinx
Standards-Version: 4.1.1
Homepage: https://github.com/jasonrbriggs/stomp.py
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-stomp.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-stomp.git
Testsuite: autopkgtest-pkg-python

Package: python-stomp
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Suggests: python-stomp-doc
Description: STOMP client library for Python 2
 This package contains stomp.py, a Python client library for accessing messaging
 servers (such as Apollo or RabbitMQ) using the STOMP protocol (versions 1.0,
 1.1 and 1.2).
 .
 This package installs the library for Python 2.

Package: python3-stomp
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python-stomp-doc
Description: STOMP client library for Python 3
 This package contains stomp.py, a Python client library for accessing messaging
 servers (such as Apollo or RabbitMQ) using the STOMP protocol (versions 1.0,
 1.1 and 1.2). It can also be run as a standalone, command-line client for
 testing.
 .
 This package installs the library for Python 3.

Package: python-stomp-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Documentation of Python's STOMP client library
 stomp.py is a Python client library for accessing messaging
 servers (such as Apollo or RabbitMQ) using the STOMP protocol (versions 1.0,
 1.1 and 1.2). It can also be run as a standalone, command-line client for
 testing.
 .
 This is the common documentation package.
