=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=stomp

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild


override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/source build/html # HTML generator

override_dh_auto_install:
	dh_auto_install
	# don't install the script in python2 package, only in python3 to
	# avoid conflict between packages
	rm debian/python-stomp/usr/bin/stomp
