=== debian/watch ===
version=4
https://pypi.debian.net/stomp.py/stomp.py-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
