=== debian/changelog ===
python-stomp (6.1.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Apply multi-arch hints.
    + python-stomp-doc: Add Multi-Arch: foreign.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sophie Brun ]
  * Change debian/watch to get tarball from github (with docs...)
  * New upstream version 6.1.0
  * Add a setup.py to use Debian Packaging tools
  * Disable tests as they require servers to connect to
  * Bump Standards-Version to 4.5.1

  [ Raphaël Hertzog ]
  * Add python3-docopt to Build-Depends.

 -- Sophie Brun <sophie@freexian.com>  Thu, 21 Jan 2021 15:46:35 +0100

python-stomp (4.1.19-2) unstable; urgency=medium

  * Team upload.
  * d/control: Set Vcs-* to salsa.debian.org
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support.

 -- Ondřej Nový <onovy@debian.org>  Tue, 27 Aug 2019 08:07:16 +0200
