=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=stomp
# tests require to setup servers (need to connect to 172.17.0.2)
export PYBUILD_DISABLE=test

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild


override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -bhtml docs/source build/html # HTML generator
