=== debian/changelog ===
python-stomp (8.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Neil Williams <codehelp@debian.org>  Thu, 12 May 2022 14:20:01 +0100

python-stomp (7.0.0-1) unstable; urgency=medium

  * Team upload.

  [ Neil Williams ]
  * Fix dh_python depends (lintian error)
  * Add Salsa CI
  * Update standards version

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.

  [ Neil Williams ]
  * New upstream release.

 -- Neil Williams <codehelp@debian.org>  Wed, 16 Mar 2022 13:14:55 +0000
