=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Sophie Brun <sophie@freexian.com>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
- python3-all,
+ python3-all:any,
  python3-docopt,
  python3-setuptools,
  python3-sphinx
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/jasonrbriggs/stomp.py
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-stomp.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-stomp
