## python-stomp 8.1.0

=== Makefile ===
--- 
+++ 
@@ -5,6 +5,8 @@
 PLATFORM := $(shell uname)
 VERSION :=$(shell poetry version | sed 's/stomp.py\s*//g' | sed 's/\./, /g')
 SHELL=/bin/bash
+ARTEMIS_VERSION=2.26.0
+TEST_CMD := $(shell podman network exists stomptest &> /dev/null && echo "podman unshare --rootless-netns poetry" || echo "poetry")
 
 all: test install
 
@@ -27,18 +29,15 @@
 
 
 test:
-	poetry run pytest tests/ --cov=stomp --log-cli-level=DEBUG -v -ra --full-trace --cov-report=html:../stomppy-docs/htmlcov/ --html=tmp/report.html
+	$(TEST_CMD) run pytest tests/ --cov=stomp --log-cli-level=DEBUG -v -ra --full-trace --cov-report=html:../stomppy-docs/htmlcov/ --html=tmp/report.html
 
 
 testsingle:
-	poetry run pytest tests/${TEST} --log-cli-level=DEBUG -v -ra --full-trace
+	$(TEST_CMD) run pytest tests/${TEST} --log-cli-level=DEBUG -v -ra --full-trace
 
 
 clean:
-ifeq ($(PLATFORM),Linux)
-	$(MAKE) -f $(CURDIR)/debian/rules clean
-endif
-	rm -rf build/ MANIFEST dist/ *.egg-info/ tmp/
+	rm -rf build/ MANIFEST dist/ *.egg-info/ tmp/ docker/tmp
 	find . -name '*.pyc' -delete
 
 
@@ -49,7 +48,7 @@
 
 docker/tmp/activemq-artemis-bin.tar.gz:
 	mkdir -p docker/tmp
-	wget http://www.apache.org/dist/activemq/activemq-artemis/2.20.0/apache-artemis-2.20.0-bin.tar.gz -O docker/tmp/activemq-artemis-bin.tar.gz
+	wget http://www.apache.org/dist/activemq/activemq-artemis/${ARTEMIS_VERSION}/apache-artemis-${ARTEMIS_VERSION}-bin.tar.gz -O $@ || rm $@
 
 
 ssl-setup:
@@ -74,11 +73,11 @@
 
 
 docker-image: docker/tmp/activemq-artemis-bin.tar.gz ssl-setup
-	docker build -t stomppy docker/
+	docker build --build-arg ARTEMIS_VERSION=${ARTEMIS_VERSION} -t stomppy docker/
 
 
 run-docker:
-	docker run --add-host="my.example.com:127.0.0.1" --add-host="my.example.org:127.0.0.1" --add-host="my.example.net:127.0.0.1" -d -p 61613:61613 -p 62613:62613 -p 62614:62614 -p 63613:63613 -p 64613:64613 --name stomppy -it stomppy
+	docker run --add-host="my.example.com:127.0.0.1" --add-host="my.example.org:127.0.0.1" --add-host="my.example.net:127.0.0.1" -d -p 61613:61613 -p 62613:62613 -p 62614:62614 -p 63613:63613 -p 64613:64613 -p 15674:15674 --name stomppy -it stomppy
 	docker ps
 	docker exec -it stomppy /bin/sh -c "/etc/init.d/activemq start"
 	docker exec -it stomppy /bin/sh -c "/etc/init.d/stompserver start"
@@ -93,3 +92,27 @@
 
 
 docker: remove-docker docker-image run-docker
+
+
+podman-image: docker/tmp/activemq-artemis-bin.tar.gz ssl-setup
+	podman build --build-arg ARTEMIS_VERSION=${ARTEMIS_VERSION} -t stomppy docker/
+
+
+run-podman:
+	podman network create --ipv6 --subnet 172.17.0.0/24 --subnet fddf:aaaa:bbbb:cccc::/64 stomptest
+	podman run --network stomptest:ip=172.17.0.2 --add-host="my.example.com:127.0.0.1" --add-host="my.example.org:127.0.0.1" --add-host="my.example.net:127.0.0.1" -d -p 61613:61613 -p 62613:62613 -p 62614:62614 -p 63613:63613 -p 64613:64613 -p 15674:15674 --name stomppy -it stomppy
+	podman ps
+	podman exec -it stomppy /bin/sh -c "/etc/init.d/activemq start"
+	podman exec -it stomppy /bin/sh -c "/etc/init.d/stompserver start"
+	podman exec -it stomppy /bin/sh -c "/etc/init.d/rabbitmq-server start"
+	podman exec -it stomppy /bin/sh -c "start-stop-daemon --start --background --exec /usr/sbin/haproxy -- -f /etc/haproxy/haproxy.cfg"
+	podman exec -it stomppy /bin/sh -c "testbroker/bin/artemis-service start"
+
+
+remove-podman:
+	podman stop -i stomppy
+	podman rm -vi stomppy
+	podman network exists stomptest && podman network rm stomptest || :
+
+
+podman: remove-podman podman-image run-podman
