=== requirements.txt ===
atomicwrites==1.4.1; sys_platform == "win32"
attrs==22.1.0
colorama==0.4.5; sys_platform == "win32"
coverage==6.2
docopt==0.6.2
importlib-metadata==4.8.3; python_version < "3.8"
iniconfig==1.1.1
packaging==21.3
pluggy==1.0.0
py==1.11.0
pyparsing==3.0.7
pytest==7.0.1
pytest-cov==3.0.0
pytest-html==3.1.1
pytest-metadata==1.11.0
pytest-mock==3.6.1
pytest-ordering==0.6
tomli==1.2.3
typing-extensions==4.1.1; python_version < "3.8"
websocket-client==1.3.1
zipp==3.6.0; python_version < "3.8"
