=== debian/changelog ===
python-stomp (8.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 8.1.0.
  * Build-Depend & Depend on python3-websocket.
  * Set Rules-Requires-Root to no.

 -- Utkarsh Gupta <utkarsh@debian.org>  Tue, 15 Aug 2023 00:36:58 +0530
