=== debian/control ===
--- 
+++ 
@@ -9,8 +9,10 @@
  python3-all:any,
  python3-docopt,
  python3-setuptools,
- python3-sphinx
+ python3-sphinx,
+ python3-websocket
 Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Homepage: https://github.com/jasonrbriggs/stomp.py
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-stomp.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-stomp
@@ -18,7 +20,7 @@
 
 Package: python3-stomp
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends: ${misc:Depends}, ${python3:Depends}, python3-websocket
 Suggests: python-stomp-doc
 Description: STOMP client library for Python 3
  This package contains stomp.py, a Python client library for accessing messaging
