=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-stomp-$1.tar.gz%" \
    https://github.com/jasonrbriggs/stomp.py/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
